> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# الأساسيات المالية

<ResponseExample>
  ```json استجابة (200 OK) theme={null}
  {
    "ok": "true",
    "data": []
  }
  ```

  ```json استجابة (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json استجابة (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json استجابة (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ar/openapi/data-api-proxy.spec.yml GET /api/v3/fundamentals
openapi: 3.0.0
info:
  contact: {}
  description: >-
    توفّر واجهة برمجة التطبيقات REST هذه نقاط نهاية للبحث في الأساسيات المالية
    والحصول على تفاصيلها.
  termsOfService: http://swagger.io/terms/
  title: Data API Proxy
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v3/fundamentals:
    get:
      tags:
        - Fundamentals
      summary: أساسيات الشركة المالية V3
      description: >-
        يسترجع أحدث جيل من بيانات الأساسيات المالية المدعومة بخط أنابيب بيانات
        مُحسَّن من Benzinga. يوفّر قوائم وبيانات مالية شاملة، ومؤشرات، ونسبًا
        مالية مع جودة بيانات وتغطية محسَّنتين. يدعم الاستعلام باستخدام نطاقات
        تاريخية مرنة وتحديد تواريخ نسبية.
      operationId: get-fundamentals-v3
      parameters:
        - description: >-
            قائمة بالرموز الخاصة بتداول الأسهم مفصولة بفواصل (مثل
            AAPL,MSFT,GOOGL). حقل إلزامي.
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            تاريخ بدء الاستعلام. يدعم عدة صيغ: YYYY-MM-DD (مثل 2024-01-01)، أو
            YTD (من بداية السنة الحالية في 1 يناير)، أو تواريخ نسبية مثل
            1MONTH/1m/1M (قبل شهر واحد)، 1WEEK/1w/1W (قبل أسبوع واحد)،
            1DAY/1d/1D (قبل يوم واحد)
          in: query
          name: from
          schema:
            type: string
        - description: >-
            تاريخ انتهاء الاستعلام. التنسيق: YYYY-MM-DD (مثل: 2024-12-31).
            يُرجِع البيانات حتى هذا التاريخ مشمولًا. إذا لم يتم تحديده، فالقيمة
            الافتراضية هي تاريخ اليوم.
          in: query
          name: to
          schema:
            type: string
        - description: >-
            عامل تصفية لنوع التقرير في البيانات المالية. القيم المدعومة: TTM
            (آخر اثني عشر شهرًا)، A (كما تم الإبلاغ عنه في الأصل)، R (القيم
            المُعاد عرضها)، P (الإعلانات الأولية)
          in: query
          name: date
          schema:
            type: string
      responses:
        '200':
          description: أحدث بيانات الأساسيات المالية بتغطية أوسع وجودة أعلى
          content:
            application/json:
              schema:
                type: object
        '400':
          description: طلب غير صالح - معلمة الرموز مفقودة أو غير صحيحة
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    bzhttp.Resp:
      properties:
        data:
          additionalProperties: true
          type: object
        errors:
          items:
            $ref: '#/components/schemas/bzhttp.Error'
          type: array
        ok:
          type: boolean
      type: object
    bzhttp.Error:
      properties:
        code:
          $ref: '#/components/schemas/bzhttp.ErrorCode'
        id:
          type: string
        value:
          type: string
      type: object
    bzhttp.ErrorCode:
      enum:
        - json_unmarshaling_error
        - no_data_found
        - no_matching_endpoint
        - bad_request
        - db_error
        - internal_server_error
        - auth_failed
        - forbidden
        - failed_dependency
        - service_unavailable
        - upstream_api_error
        - unsupported_message_type
        - database_query_error
      type: string
      x-enum-varnames:
        - ErrorJSONUnmarshaling
        - ErrorNoDataFound
        - ErrorNoMatchingEndpoint
        - ErrorBadRequest
        - ErrorDBError
        - ErrorInternalServerError
        - ErrorAuthFailed
        - ErrorForbidden
        - ErrorFailedDependency
        - ErrorServiceUnavailable
        - ErrorUpstreamAPIError
        - ErrorUnsupportedMessageType
        - ErrorDBQueryError
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````